<?php

if( ! is_admin() ) {

	// Custom excerpt length.
	function di_blog_custom_excerpt_length( $length ) {
		return absint( get_theme_mod( 'excerpt_length', '40' ) );
	}
	add_filter( 'excerpt_length', 'di_blog_custom_excerpt_length', 999, 1 );


	// Custom excerpt last ...... replace.
	function di_blog_excerpt_more( $more ) {
		global $post;
		return ' <a href="' . esc_url( get_permalink( $post->ID ) ) . '"> ' . __( 'Read more', 'di-blog' ) . '&#8230;</a>';
	}
	add_filter( 'excerpt_more', 'di_blog_excerpt_more', 1001, 1 );
	
}

// Add class="table table-bordered" to default calendar.
function di_blog_calendar_modify( $html ) {
	return str_replace( 'id="wp-calendar"', 'id="wp-calendar" class="table table-bordered"', $html );
}
add_filter( 'get_calendar', 'di_blog_calendar_modify', 10, 1 );

// Add code in head.
function di_blog_the_head_contain() {
	?>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<link rel="profile" href="http://gmpg.org/xfn/11" />

	<?php if ( is_singular() && pings_open( get_queried_object() ) ) { ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php } ?>
	
	<?php
}
add_action( 'di_blog_the_head', 'di_blog_the_head_contain' );

// Refeash screen on logo switch.
function di_blog_logo_refresh( $wp_customize ) {
	$wp_customize->get_setting( 'custom_logo' )->transport 	= 'refresh';
}
add_action( 'customize_register', 'di_blog_logo_refresh' );

