<?php
// Set Kirki config.
Kirki::add_config( 'di_blog_config', array(
	'capability'    => 'edit_theme_options',
	'option_type'   => 'theme_mod',
) );

// The main panel.
Kirki::add_panel( 'di_blog_options', array(
    'title'       => esc_attr__( 'Di Blog Options', 'di-blog' ),
    'description' => esc_attr__( 'All options of Di Blog theme', 'di-blog' ),
) );


//typography
Kirki::add_section( 'typography_options', array(
	'title'          => esc_attr__( 'Typography Options', 'di-blog' ),
	'panel'          => 'di_blog_options',
	'capability'     => 'edit_theme_options',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'typography',
	'settings'    => 'body_typog',
	'label'       => esc_attr__( 'Body Typography', 'di-blog' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Lora',
		'variant'        => 'regular'
	),
	'output'      => array(
		array(
			'element' => 'body',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'typography',
	'settings'    => 'h1_typog',
	'label'       => esc_attr__( 'H1 / Headline 1 Typography', 'di-blog' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Open Sans',
		'variant'        => 'regular',
		'font-size'      => '22px',
		'line-height'    => '1.1',
		'letter-spacing' => '1px',
		'text-transform' => 'inherit'
	),
	'output'      => array(
		array(
			'element' => 'body h1, .h1',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'typography',
	'settings'    => 'h2_typog',
	'label'       => esc_attr__( 'H2 / Headline 2 Typography', 'di-blog' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Open Sans',
		'variant'        => 'regular',
		'font-size'      => '22px',
		'line-height'    => '1.1',
		'letter-spacing' => '1px',
		'text-transform' => 'inherit'
	),
	'output'      => array(
		array(
			'element' => 'body h2, .h2',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'typography',
	'settings'    => 'h3_typog',
	'label'       => esc_attr__( 'H3 / Headline 3 Typography', 'di-blog' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Arvo',
		'variant'        => 'regular',
		'font-size'      => '22px',
		'line-height'    => '1.1',
		'letter-spacing' => '0',
		'text-transform' => 'inherit'
	),
	'output'      => array(
		array(
			'element' => 'body h3, .h3',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'typography',
	'settings'    => 'h4_typog',
	'label'       => esc_attr__( 'H4 / Headline 4 Typography', 'di-blog' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Arvo',
		'variant'        => 'regular',
		'font-size'      => '20px',
		'line-height'    => '1.1',
		'letter-spacing' => '0',
		'text-transform' => 'inherit'
	),
	'output'      => array(
		array(
			'element' => 'body h4, .h4',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'typography',
	'settings'    => 'h5_typog',
	'label'       => esc_attr__( 'H5 / Headline 5 Typography', 'di-blog' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Arvo',
		'variant'        => 'regular',
		'font-size'      => '20px',
		'line-height'    => '1.1',
		'letter-spacing' => '0',
		'text-transform' => 'inherit'
	),
	'output'      => array(
		array(
			'element' => 'body h5, .h5',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'typography',
	'settings'    => 'h6_typog',
	'label'       => esc_attr__( 'H6 / Headline 6 Typography', 'di-blog' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Arvo',
		'variant'        => 'regular',
		'font-size'      => '20px',
		'line-height'    => '1.1',
		'letter-spacing' => '0',
		'text-transform' => 'inherit'
	),
	'output'      => array(
		array(
			'element' => 'body h6, .h6',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'typography',
	'settings'    => 'p_typog',
	'label'       => esc_attr__( 'Paragraph Typography', 'di-blog' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Fauna One',
		'variant'        => 'regular',
		'font-size'      => '14px',
		'line-height'    => '1.7',
		'letter-spacing' => '0',
		'text-transform' => 'inherit',
	),
	'output'      => array(
		array(
			'element' => 'body p',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'typography',
	'settings'    => 'top_menu_typog',
	'label'       => esc_attr__( 'Main Menu Typography', 'di-blog' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Open Sans',
		'variant'        => '400',
		'font-size'      => '11px',
		'letter-spacing' => '2px',
		'text-transform' => 'uppercase'
	),
	'output'      => array(
		array(
			'element' => '.navbarprimary ul li a',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'typography',
	'settings'    => 'body_ul_ol_li_typog',
	'label'       => esc_attr__( 'Container UL/OL Typography', 'di-blog' ),
	'description' => esc_attr__( 'Typography for list in main contents.', 'di-blog' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Fjord One',
		'variant'        => 'regular',
		'font-size'      => '15px',
		'line-height'    => '1.7',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'inherit',
	),
	'output'      => array(
		array(
			'element' => '.maincontainer .entry-content ul li, .maincontainer .entry-content ol li',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'typography',
	'settings'    => 'sidebar_ul_ol_li_typog',
	'label'       => esc_attr__( 'Widgets UL/OL Typography', 'di-blog' ),
	'description' => esc_attr__( 'Typography of list for widgets.', 'di-blog' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Fjord One',
		'variant'        => 'regular',
		'font-size'      => '14px',
		'line-height'    => '1.5',
		'letter-spacing' => '0.5px',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'inherit',
	),
	'output'      => array(
		array(
			'element' => '.sidebar-widgets .widget_sidebar_main.widget_recent_entries ul li, .sidebar-widgets .widget_sidebar_main.widget_archive ul li, .sidebar-widgets .widget_sidebar_main.widget_recent_comments ul li, .sidebar-widgets .widget_sidebar_main.widget_meta ul li, .sidebar-widgets .widget_sidebar_main.widget_nav_menu ul li, .sidebar-widgets .widget_sidebar_main.widget_categories ul li',
		),
		array(
			'element' => '.footer-widgets .widgets_footer.widget_recent_entries ul li, .footer-widgets .widgets_footer.widget_archive ul li, .footer-widgets .widgets_footer.widget_recent_comments ul li, .footer-widgets .widgets_footer.widget_meta ul li, .footer-widgets .widgets_footer.widget_nav_menu ul li, .footer-widgets .widgets_footer.widget_categories ul li',
		),
	),
	'transport' => 'auto',
) );

//typography END


//color options
Kirki::add_section( 'color_options', array(
	'title'          => esc_attr__( 'Color Options', 'di-blog' ),
	'panel'          => 'di_blog_options',
	'capability'     => 'edit_theme_options',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        	=> 'color',
	'settings'    	=> 'default_a_color',
	'label'       	=> esc_attr__( 'Default Links Color', 'di-blog' ),
	'description'	=> esc_attr__( 'This will be color of all default links (primary).', 'di-blog' ),
	'section'     	=> 'color_options',
	'default'     	=> '#cea525',
	'choices'     	=> array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element'  => 'body a',
			'property' => 'color',
		),
		array(
			'element'  => '.widget_sidebar_main ul li a::before',
			'property' => 'color',
		),
		array(
			'element'  => '.footer-widgets ul li a::before',
			'property' => 'color',
		),
		array(
			'element'  => '.maincontainer .post-contents .entry-content blockquote',
			'property' => 'border-left',
			'prefix'	=> '5px solid ',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        	=> 'color',
	'settings'    	=> 'default_a_mover_color',
	'label'       	=> esc_attr__( 'Default Links Color Mouse Over', 'di-blog' ),
	'description'	=> esc_attr__( 'This will be color of all default links on mouse over.', 'di-blog' ),
	'section'     	=> 'color_options',
	'default'     	=> '#9a7918',
	'choices'     	=> array(
		'alpha' => true,
	),
	'output' => array(
		array(
			'element'  => 'body a:hover, body a:focus',
			'property' => 'color',
		),
		array(
			'element'  => '.widget_sidebar_main ul li a:hover::before, .widget_sidebar_main ul li a:focus::before',
			'property' => 'color',
		),
		array(
			'element'  => '.footer-widgets ul li a:hover::before, .footer-widgets ul li a:focus::before',
			'property' => 'color',
		),
	),
	'transport' => 'auto',
) );

do_action( 'di_blog_color_options' );

//color options END


//social profile
Kirki::add_section( 'social_options', array(
	'title'          => esc_attr__( 'Social Profile', 'di-blog' ),
	'panel'          => 'di_blog_options',
	'capability'     => 'edit_theme_options',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_facebook',
	'label'			=> esc_attr__( 'Facebook Link', 'di-blog' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'di-blog' ),
	'section'		=> 'social_options',
	'default'		=> '',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_twitter',
	'label'			=> esc_attr__( 'Twitter Link', 'di-blog' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'di-blog' ),
	'section'		=> 'social_options',
	'default'		=> '',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_youtube',
	'label'			=> esc_attr__( 'YouTube Link', 'di-blog' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'di-blog' ),
	'section'		=> 'social_options',
	'default'		=> '',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_vk',
	'label'			=> esc_attr__( 'VK Link', 'di-blog' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'di-blog' ),
	'section'		=> 'social_options',
	'default'		=> '',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_googleplus',
	'label'			=> esc_attr__( 'Google Plus Link', 'di-blog' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'di-blog' ),
	'section'		=> 'social_options',
	'default'		=> '',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_linkedin',
	'label'			=> esc_attr__( 'Linkedin Link', 'di-blog' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'di-blog' ),
	'section'		=> 'social_options',
	'default'		=> '',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_pinterest',
	'label'			=> esc_attr__( 'Pinterest Link', 'di-blog' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'di-blog' ),
	'section'		=> 'social_options',
	'default'		=> '',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_instagram',
	'label'			=> esc_attr__( 'Instagram Link', 'di-blog' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'di-blog' ),
	'section'		=> 'social_options',
	'default'		=> '',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_telegram',
	'label'			=> esc_attr__( 'Telegram Link', 'di-blog' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'di-blog' ),
	'section'		=> 'social_options',
	'default'		=> '',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_snapchat',
	'label'			=> esc_attr__( 'Snapchat Link', 'di-blog' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'di-blog' ),
	'section'		=> 'social_options',
	'default'		=> '',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_flickr',
	'label'			=> esc_attr__( 'Flickr Link', 'di-blog' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'di-blog' ),
	'section'		=> 'social_options',
	'default'		=> '',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_reddit',
	'label'			=> esc_attr__( 'Reddit Link', 'di-blog' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'di-blog' ),
	'section'		=> 'social_options',
	'default'		=> '',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_tumblr',
	'label'			=> esc_attr__( 'Tumblr Link', 'di-blog' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'di-blog' ),
	'section'		=> 'social_options',
	'default'		=> '',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_yelp',
	'label'			=> esc_attr__( 'Yelp Link', 'di-blog' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'di-blog' ),
	'section'		=> 'social_options',
	'default'		=> '',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_whatsappno',
	'label'			=> esc_attr__( 'WhatsApp Number', 'di-blog' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'di-blog' ),
	'section'		=> 'social_options',
	'default'		=> '',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_skype',
	'label'			=> esc_attr__( 'Skype Id', 'di-blog' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'di-blog' ),
	'section'		=> 'social_options',
	'default'		=> '',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'toggle',
	'settings'    => 's_link_open',
	'label'       => esc_attr__( 'Social Links in New Tab?', 'di-blog' ),
	'description' => esc_attr__( 'Open social links in new tab or same.', 'di-blog' ),
	'section'     => 'social_options',
	'default'     => '1',
) );


//social profile END



// Blog
Kirki::add_section( 'blog_options', array(
	'title'          => esc_attr__( 'Blog Options', 'di-blog' ),
	'panel'          => 'di_blog_options',
	'capability'     => 'edit_theme_options',
) );
	

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'select',
	'settings'    => 'excerpt_or_content',
	'label'       => esc_attr__( 'Display Excerpt or Content on Archive', 'di-blog' ),
	'section'     => 'blog_options',
	'default'     => 'excerpt',
	'choices'     => array(
		'excerpt' => esc_attr__( 'Display Excerpt', 'di-blog' ),
		'content' => esc_attr__( 'Display Content', 'di-blog' ),
	),
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'number',
	'settings'    => 'excerpt_length',
	'label'       => esc_attr__( 'Excerpt Length', 'di-blog' ),
	'description' => esc_attr__( 'How much words you want to display on Archive page?', 'di-blog' ),
	'section'     => 'blog_options',
	'default'     => 40,
	'choices'     => array(
		'min'  => 1,
		'step' => 1,
	),
	'active_callback'  => array(
		array(
			'setting'  => 'excerpt_or_content',
			'operator' => '==',
			'value'    => 'excerpt',
		),
	),
) );


Kirki::add_field( 'di_blog_config', array(
	'type'        => 'radio-image',
	'settings'    => 'blog_archive_layout',
	'label'       => esc_attr__( 'Archive / Loop Layout', 'di-blog' ),
	'section'     => 'blog_options',
	'default'     => 'rights',
	'choices'     => array(
		'fullw'	  => get_template_directory_uri() . '/assets/images/fullw.png',
		'rights'  => get_template_directory_uri() . '/assets/images/rights.png',
		'lefts'   => get_template_directory_uri() . '/assets/images/lefts.png',
	),
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'radio-image',
	'settings'    => 'blog_single_layout',
	'label'       => esc_attr__( 'Single Post Layout', 'di-blog' ),
	'section'     => 'blog_options',
	'default'     => 'rights',
	'choices'     => array(
		'fullw'	  => get_template_directory_uri() . '/assets/images/fullw.png',
		'rights'  => get_template_directory_uri() . '/assets/images/rights.png',
		'lefts'   => get_template_directory_uri() . '/assets/images/lefts.png',
	),
) );


do_action( 'di_blog_blog_options' );

// Blog END

// Footer widgets.
Kirki::add_section( 'ftr_wdgt_options', array(
    'title'          => esc_attr__( 'Footer Widget Options', 'di-blog' ),
    'panel'          => 'di_blog_options',
    'capability'     => 'edit_theme_options',
) );


Kirki::add_field( 'di_blog_config', array(
	'type'        => 'toggle',
	'settings'    => 'endis_ftr_wdgt',
	'label'       => esc_attr__( 'Footer Widgets', 'di-blog' ),
	'description' => esc_attr__( 'Enable/Disable Footer Widgets.', 'di-blog' ),
	'section'     => 'ftr_wdgt_options',
	'default'     => '0',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'			=> 'radio-image',
	'settings'		=> 'ftr_wdget_lyot',
	'label'			=> esc_attr__( 'Footer Widget Layout', 'di-blog' ),
	'description'	=> esc_attr__( 'Save and go to Widgets page to add.', 'di-blog' ),
	'section'		=> 'ftr_wdgt_options',
	'default'		=> '3',
	'choices'		=> array(
		'1'		=> get_template_directory_uri() . '/assets/images/ftrwidlout1.png',
		'2'		=> get_template_directory_uri() . '/assets/images/ftrwidlout2.png',
		'3'		=> get_template_directory_uri() . '/assets/images/ftrwidlout3.png',
		'4'		=> get_template_directory_uri() . '/assets/images/ftrwidlout4.png',
		'48'	=> get_template_directory_uri() . '/assets/images/ftrwidlout48.png',
		'84'	=> get_template_directory_uri() . '/assets/images/ftrwidlout84.png',
	),
	'active_callback'  => array(
		array(
			'setting'  => 'endis_ftr_wdgt',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );

do_action( 'di_blog_footer_widget_options' );

//footer section END

// Footer copyright section.
Kirki::add_section( 'footer_copy_options', array(
    'title'          => esc_attr__( 'Footer Copyright Options', 'di-blog' ),
    'panel'          => 'di_blog_options',
    'capability'     => 'edit_theme_options',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'editor',
	'settings'    => 'left_footer_setting',
	'label'       => esc_attr__( 'Footer Left', 'di-blog' ),
	'description' => esc_attr__( 'Content of Footer Left Side', 'di-blog' ),
	'section'     => 'footer_copy_options',
	'default'     => '<p>' . __( 'Site Title, Some rights reserved.', 'di-blog' ) . '</p>',
	'transport' => 'postMessage',
	'js_vars'   => array(
		array(
			'element'  => '.cprtlft_ctmzr',
			'function' => 'html',
		),
	),
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'editor',
	'settings'    => 'center_footer_setting',
	'label'       => esc_attr__( 'Footer Center', 'di-blog' ),
	'description' => esc_attr__( 'Content of Footer Center Side', 'di-blog' ),
	'section'     => 'footer_copy_options',
	'default'     => '<p><a href="#">' . __( 'Terms of Use - Privacy Policy', 'di-blog' ) . '</a></p>',
	'transport' => 'postMessage',
	'js_vars'   => array(
		array(
			'element'  => '.cprtcntr_ctmzr',
			'function' => 'html',
		),
	),
) );

//misc section
Kirki::add_section( 'misc_options', array(
    'title'          => esc_attr__( 'MISC Options', 'di-blog' ),
    'panel'          => 'di_blog_options',
    'capability'     => 'edit_theme_options',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'toggle',
	'settings'    => 'stickymenu_setting',
	'label'       => esc_attr__( 'Sticky Menu', 'di-blog' ),
	'description' => esc_attr__( 'Enable/Disable Sticky Menu (for Large Devices)', 'di-blog' ),
	'section'     => 'misc_options',
	'default'     => '0',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'toggle',
	'settings'    => 'back_to_top',
	'label'       => esc_attr__( 'Back To Top Button', 'di-blog' ),
	'description' => esc_attr__( 'Enable/Disable Back To Top Button', 'di-blog' ),
	'section'     => 'misc_options',
	'default'     => '1',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'toggle',
	'settings'    => 'loading_icon',
	'label'       => esc_attr__( 'Page Loading Icon', 'di-blog' ),
	'description' => esc_attr__( 'Enable/Disable Page Loading Icon', 'di-blog' ),
	'section'     => 'misc_options',
	'default'     => '0',
) );

Kirki::add_field( 'di_blog_config', array(
	'type'        => 'image',
	'settings'    => 'loading_icon_img',
	'label'       => esc_attr__( 'Upload Custom Loading Icon', 'di-blog' ),
	'description' => esc_attr__( 'It will replace default loading icon.', 'di-blog' ),
	'section'     => 'misc_options',
	'default'     => '',
	'active_callback'  => array(
		array(
			'setting'  => 'loading_icon',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );
//misc section END

